Jump to content
Sign in to follow this  
tharring

STS won't install

Recommended Posts

I'm holding on by a thread here, waiting for help. I can't get STS to install in the admin area and the designer tells me I don't have the correct version of OSC. Oh, really? Why won't he answer my posts telling him exactly the version I have, which is the correct version.

 

Getting back to my problem, below is an image of my admin modules and you can see STS there, but when I click on it I can't make it active, so I can't install it. Why?? And what about those large section headers? They can't be for real. Has anybody else ever see this?

 

I've spent a couple of weeks installing and sifting through all the OSCommerce files to learn how to use them, updated to OSS, updated to also_purchased and tried adding STS. It's been a lot of work. Just when I was thinking of making a nice, fat donation for all the wonderful "contributions" that have been made, I've come to a stand-still. I've searched through the forums and posted a couple of times asking for help with the plcontentBoxHeading problem, but nobody can help me, not even the designer. What is the problem here? One thing is that much of the so-called help in the forum refers to a thread that started in 2006 and is 300 pages long. There's no way I'm going to read through 5,731 replies to see if it might refer to my problem -- which it won't because my versions of OSC are from 2010. I'm getting a little frustrated here, can you tell?

 

Chris, can you take over for BKellum? Thanks.

modules.jpg

Share this post


Link to post
Share on other sites

Yes, oh really!

Don't waste everyone's time by double posting. I answered your previous thread. Do you really think we provide 24 hour free support on this forum that you would get instantaneous responses??

 

Yes, you do have osCommerce....or you did. But, you installed OSC to CSS which is basically a fork (a spin off) of osCommerce. OSC to CSS makes so many changes to the core code of osCommerce that it is now incompatible with most other add-ons without making extensive changes to those as well.

 

It is either "STS" or "OSC to CSS" unless you can find someone willing to make all of the necessary modifications for you to make them compatible.

 

Don't misunderstand what I am saying... I am not saying that "OSC to CSS" is a bad add-on. What I am saying is that at this time, no one has bothered to make the two compatible with each other. They would probably be a nice marriage.

 

 


Bill Kellum

 

Sounds Good Productions

STS Tutorials & more: STSv4.6, STS Add-ons (STS Power Pack), STS V4 Forum STS Forum FREE TEMPLATE

Share this post


Link to post
Share on other sites

Sorry to upset you. I didn't think I was double-posting, just trying to get an answer about why what I was doing wasn't working. I understand perfectly now that you tell me that CSS isn't compatible with STS. To me it seemed that CSS was a universal update, but I see it isn't. Yes, they would be a good marriage. I've been developing web sites for 14 years now and I use forums a lot when I have questions. I don't mean to waste anyone's time and I respect their (and your) knowledge.

 

The CSS update did an amazing job of eliminating the old table structure, and I'm going to stick with that because I understand that. Although I would have loved to use your templates, I'll have to pass until they become CSS compatible.

 

Thanks again for setting me straight.

 

Tedra

Share this post


Link to post
Share on other sites

[...]

I understand perfectly now that you tell me that CSS isn't compatible with STS.

[...]

Although I would have loved to use your templates, I'll have to pass until they become CSS compatible.

 

I don't think that it is correct saying that "CSS isn't compatible with STS".

 

OSC to CSS is not is an addon. This particular addon is not compatible with STS. But it is for sure not the only way to apply a clean css based design and structure to your site. You can do it very well using STS too.

 

As I do. So I can say that "CSS is compatible with STS", the particular addon probably not.

Share this post


Link to post
Share on other sites

OK, thanks. You've been very helpful and clear. I'll give the Tableless OSCommerce w/templates version a try when I actually install osCommerce, if I get that far.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×